<?php 
/**
#	Project: PHPDISK File Storage Solution
#	This is NOT a freeware, use is subject to license terms.
#
#	Site: http://www.phpdisk.com
#
#	$Id: api.php 25 2014-01-10 03:13:43Z along $
#
#	Copyright (C) 2008-2014 PHPDisk Team. All Rights Reserved.
#
*/
include "../includes/commons.inc.php";

$api_key = '123456';

switch ($action){
	case 'login':
		$username = $username_pd = trim(gpc('username','GP','',1));
		$password = $password_pd = trim(gpc('password','GP','',1));
		$sign = trim(gpc('sign','GP','',1));
		$md5_pwd = md5($password);

		if($sign<>md5(md5($api_key.$username.$password.$action))){
			$error = true;
			$sysmsg = '数据较验失败。';
		}else{
			$rs = $db->fetch_one_array("select userid,gid,username,password,email,is_locked from {$tpf}users where username='$username' limit 1");
			if(!$rs){
				$error = true;
				$sysmsg = __('user_not_exists');
			}else{
				if($md5_pwd != $rs['password']){
					$error = true;
					$sysmsg = __('user_password_false');
				}elseif($rs['is_locked']){
					$error = true;
					$sysmsg = __('user_is_locked');
				}else{
					$userid = (int)$rs['userid'];
					$gid = (int)$rs['gid'];
					$username = trim($rs['username']);
					$password = trim($rs['password']);
					$email = trim($rs['email']);
				}
			}
		}
		if(!$error){
			$db->query_unbuffered("update {$tpf}users set last_login_ip='$onlineip',last_login_time='$timestamp' where userid='$userid'");
			pd_setcookie(PHPDISK_COOKIE,pd_encode("$userid\t$gid\t$username\t$password\t$email"));
			$json_arr = array('data'=>'','success'=>true,'msg'=>__('login_success'));
		}else{
			$json_arr = array('data'=>'','success'=>false,'msg'=>$sysmsg);
		}
		echo json_encode($json_arr);
		break;
	case 'register':
		$username = trim(gpc('username','GP','',1));
		$password = trim(gpc('password','GP','',1));
		//$confirm_password = trim(gpc('confirm_password','GP',''));
		$md5_pwd = md5($password);
		$email = trim(gpc('email','GP','',1));
		$sign = trim(gpc('sign','GP','',1));

		if($sign<>md5(md5($api_key.$username.$password.$email.$action))){
			$error = true;
			$sysmsg = '数据较验失败。';
		}else{
			if(checklength($username,2,60)){
				$error = true;
				$sysmsg = __('invalid_username');
			}elseif(is_bad_chars($username)){
				$error = true;
				$sysmsg = __('username_has_bad_chars');
			}else{
				$rs = $db->fetch_one_array("select username from {$tpf}users where username='$username' limit 1");
				if($rs){
					if(strcasecmp($username,$rs['username']) ==0){
						$error = true;
						$sysmsg = __('username_already_exists');
					}
				}
				unset($rs);
			}
			if(!checkemail($email)){
				$error = true;
				$sysmsg = __('invalid_email');
			}else{
				$rs = $db->fetch_one_array("select email from {$tpf}users where email='$email' limit 1");
				if($rs){
					if(strcasecmp($email,$rs['email']) ==0){
						$error = true;
						$sysmsg = __('email_already_exists');
					}
					unset($rs);
				}
			}
		}
		$gid=4;
		if(!$error){
			$ins = array(
			'username' => $username,
			'password' => $md5_pwd,
			'email' => $email,
			'gid' => $gid,
			'is_activated' => 1,
			'reg_time' => $timestamp,
			'reg_ip' => $onlineip,
			);
			$db->query("insert into {$tpf}users set ".$db->sql_array($ins).";");
			$json_arr = array('data'=>'','success'=>true,'msg'=>__('register_success'));
		}else{
			$json_arr = array('data'=>'','success'=>false,'msg'=>$sysmsg);
		}
		echo json_encode($json_arr);
		break;
	case 'logout':
		$sign = trim(gpc('sign','GP','',1));
		if($sign<>md5(md5($api_key.$action))){
			$json_arr = array('data'=>'','success'=>false,'msg'=>'数据较验失败');
		}else{
			pd_setcookie(PHPDISK_COOKIE,'',-3600);
			$json_arr = array('data'=>'','success'=>true,'msg'=>__('logout_success'));
		}
		echo json_encode($json_arr);
		break;
	case 'get_userinfo':
		$sign = trim(gpc('sign','GP','',1));
		$uid = (int)gpc('uid','GP','',1);
		
		if($sign<>md5(md5($api_key.$uid.$action))){
			$json_arr = array('data'=>'','success'=>false,'msg'=>'数据较验失败');
		}else{
			if($uid){
				$json_arr = array('data'=>get_profile($uid),'success'=>true,'msg'=>'');
			}else{
				$json_arr = array('data'=>'','success'=>false,'msg'=>'用户未登录');
			}
		}
		echo json_encode($json_arr);
		break;
	
	default:
		$json_arr = array('data'=>'','success'=>false,'msg'=>'not action');
		echo json_encode($json_arr);
}

?>